
Redmine - Defect #4125

Error in wiki with <pre> tag

2009-10-27 17:11 - Isaac Cruz Ballesteros

Status: Closed Start date: 2009-10-27

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Text formatting Estimated time: 0.00 hour

Target version: 0.8.7   

Resolution: Fixed Affected version:  

Description

There's an error in wiki when the preformatted text is a xml and has a tag that starts with the string 'pre'. It seems to be searching the

string '< pre' (without the space). Here's an example:

<prepared-statement-cache-size>32</prepared-statement-cache-size>

 Next line, it should be outside the 'pre'

Related issues:

Has duplicate Redmine - Defect #4148: Error in wiki when the preformatted text Closed 2009-11-02

Associated revisions

Revision 3030 - 2009-11-11 17:23 - Jean-Philippe Lang

Fixed pre tags containing "<pre*" (#4125).

History

#1 - 2009-11-11 17:18 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from New to Resolved

- Target version set to 0.8.7

- Resolution set to Fixed

Fixed in r3030.

#2 - 2009-11-14 19:13 - Eric Davis

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Merged into 0.8-stable in r3044.
